:root {
    --tea-green: #D4E6B5;
    --olivine: #AFC97E;
    --flax: #E2D686;
    --naples-yellow: #FFDF64;
    --battleship-gray: #877B66;
    --white: #FFFFFF;
    --black: #000000;
}

* {
    box-sizing: border-box;
}

@font-face {
    font-family: 'Inter';
    src: url('/static/render_pages/fonts/InterTight-VariableFont_wght.ttf') format('truetype');
}

body {
    font-family: 'Inter', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: var(--olivine);
}


#main {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: var(--olivine);
}
#main.blurred {
    filter: blur(5px);
    pointer-events: none;
    user-select: none;
}

.header-bar {
    width: 95vw;
    min-width: 700px;
    height: 80px;
    background-color: var(--tea-green);
    box-shadow: 0 0 10px var(--battleship-gray);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 50px;
    position: fixed;
    top: 15px;
    border-radius: 20px;
}

.popup-header {
    font-size: 40px;
    font-weight: bold;
    color: var(--black)
    margin-top: -80px;
    margin-bottom: 80px;
}

.popup {
    z-index: 2;
    display: flex;
    flex-direction: column;
    visibility: hidden;
    align-items: center;
    justify-content: center;
    position: fixed;
    width: 50vw;
    min-width: 800px;
    min-height: 800px;
    background-color: black;
    border-radius: 2vw;
    background-color: var(--tea-green);
    top: 200px;
    box-shadow: 0 0 20px var(--battleship-gray), 0 0 30px var(--olivine) inset;
}

#login-window.active {
    visibility: visible;
}
#register-window.active {
    visibility: visible;
    padding: 35px;
}

.close-pop {
    fill: var(--battleship-gray);
    position: absolute;
    top: 2vh;
    right: 2vw;
    cursor: pointer;
}
.close-pop:hover {
    fill: var(--naples-yellow);
    filter: drop-shadow(0 0 5px var(--battleship-gray));
}

.login-form p {
    margin: 50px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.form-control {
    width: 720px;
    height: 80px;
    border: 2px solid var(--battleship-gray);
    border-radius: 15px;
    font-size: 25px;
    padding-left: 20px;
    background-color: var(--flax);
} 

.login-button {
    width: 720px;
    height: 60px;
    background-color: var(--olivine);
    border: none;
    border-radius: 20px;
    cursor: pointer;
    box-shadow: 0 0 10px var(--battleship-gray);
    font-family: 'Inter', sans-serif;
    font-size: 30px;
    margin-top: 50px;
}

.login-button:hover {
    background-color: var(--naples-yellow);
}

.enter-buttons {
    display: flex;
    justify-content: space-around;
}

.header-button {
    width: 200px;
    height: 40px;
    background-color: var(--flax);
    border: none;
    border-radius: 15px;
    cursor: pointer;
    box-shadow: 0 0 10px var(--battleship-gray);
    font-family: 'Inter', sans-serif;
    font-size: 20px;
    margin-left: 5px;
    margin-right: 5px;
}
.header-button:hover {
    background-color: var(--naples-yellow);
}
.call-to-action {
    font-size: 60px;
    font-weight: bold;
    color: var(--black);
    margin-top: 150px;
    margin-bottom: 50px;
}

